Bug 443305 - CIFS: tighten up default permissions on shares
CIFS: tighten up default permissions on shares
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 09:52 EDT by Jeff Layton
Modified: 2009-06-09 20:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 20:30:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2008-04-20 09:52:48 EDT
CIFS currently mounts shares with default permssions of 02767 when posix
extensions and cifsacl is disabled, with default ownership of root:root. This
could stand to be tightened up in my opinion.

I suggest a default mode of 02700 (leaving the setgid + !group execute bit set
to signify mandatory locking). sysadmins could then choose to loosen up those
modes if they choose.

As a bonus, I'd also suggest that we not allow chmod or create modes to override
the in memory mode when these modes can't actually be stored on the server, but
there is some resistance to that upstream.
Comment 1 Simo Sorce 2008-04-21 09:08:27 EDT
I would second this plan, the only doubt is around mandatory locking, but as
windows servers would enforce it anyway I guess it's the best thing to do.
Comment 2 Bug Zapper 2008-05-14 05:47:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeff Layton 2009-04-06 09:46:20 EDT
Patch sent upstream this weekend and is being debated on-list.
Comment 4 Bug Zapper 2009-06-09 20:18:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeff Layton 2009-06-09 20:28:54 EDT
Patch pushed upstream. New default file/dir_mode is 0755.

Note You need to log in before you can comment on or make changes to this bug.